INTERFACE
SUBROUTINE CUBASENAD&
 & ( KIDIA, KFDIA, KLON, KLEV,&
 & PTENH5, PQENH5, PGEOH5, PAPH5,&
 & PQHFL5, PAHFS5,&
 & PTEN5, PQEN5, PGEO5,&
 & PUEN5, PVEN5,&
 & PTU5, PQU5, PLU5, PUU5, PVU5 , pwubase5,&
 & KLAB, LDCUM, LDSC, KCBOT, KBOTSC,&
 & KCTOP, KDPL ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PTENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQENH5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEOH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PQHFL5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAHFS5(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEO5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PUEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVEN5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVU5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWUBASE5(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLAB(KLON,KLEV)
LOGICAL ,INTENT(INOUT) :: LDCUM(KLON)
LOGICAL ,INTENT(OUT) :: LDSC(KLON)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KCBOT(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KBOTSC(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KCTOP(KLON)
INTEGER(KIND=JPIM),INTENT(OUT) :: KDPL(KLON)
END SUBROUTINE CUBASENAD
END INTERFACE
